import msgspec
from benchmark.base import BenchmarkBase
from benchmark.msgspec_benchmark.models import PlanogramsBulkInputPayload


class MsgSpecBenchmark(BenchmarkBase):
    def _benchmark(self) -> None:
        test_data = self._read_test_file()
        data = msgspec.json.decode(test_data, type=PlanogramsBulkInputPayload)
